### Enumeration

# Gck UriFlags

#### Declaration

    flags Gck.UriFlags

#### Description [src]

Which parts of the PKCS#11 URI will be parsed or formatted. These can be combined.

#### Members

`GCK_URI_FOR_OBJECT`

  The URI will be used to match objects.

  - Value: `2`
  - Available since: 2
`GCK_URI_FOR_TOKEN`

  The URI will be used to match tokens.

  - Value: `4`
  - Available since: 2
`GCK_URI_FOR_MODULE`

  The URI will be used to match modules.

  - Value: `8`
  - Available since: 2
`GCK_URI_WITH_VERSION`

  The URI has specific version numbers for module and/or token.

  - Value: `16`
  - Available since: 2
`GCK_URI_FOR_ANY`

  Parse all recognized components of the URI.

  - Value: `65535`
  - Available since: 2